aboutsummaryrefslogtreecommitdiffstats
path: root/sbin
diff options
context:
space:
mode:
authorFrederic Crozat <fcrozat@mandriva.com>2007-03-27 12:49:33 +0000
committerFrederic Crozat <fcrozat@mandriva.com>2007-03-27 12:49:33 +0000
commitd102e62b3d226cb20e11023df16e30c5e250db30 (patch)
tree81334cd8bc2e84969171e927e1863e698a0b30c3 /sbin
parent7809be2428670f9289549c317c27e1e8769c1b7d (diff)
downloadcommon-data-d102e62b3d226cb20e11023df16e30c5e250db30.tar
common-data-d102e62b3d226cb20e11023df16e30c5e250db30.tar.gz
common-data-d102e62b3d226cb20e11023df16e30c5e250db30.tar.bz2
common-data-d102e62b3d226cb20e11023df16e30c5e250db30.tar.xz
common-data-d102e62b3d226cb20e11023df16e30c5e250db30.zip
Don't output error if no session file is present
Diffstat (limited to 'sbin')
-rwxr-xr-xsbin/fndSession8
1 files changed, 7 insertions, 1 deletions
diff --git a/sbin/fndSession b/sbin/fndSession
index e6f6b44..4fd7c7c 100755
--- a/sbin/fndSession
+++ b/sbin/fndSession
@@ -11,7 +11,13 @@
umask 022
-for f in /etc/X11/dm.d/*.conf; do
+FILES=`/bin/ls /etc/X11/dm.d/*.conf 2> /dev/null`
+
+if [ $? != 0 ]; then
+ exit 0
+fi
+
+for f in $FILES; do
EXEC=
FNDSESSION_EXEC=
eval `grep 'EXEC=' "$f"`